
-- Inherent dimension:
SELECT ST_Dimension(geom) from bel_city limit 1;
-- Coordinate dimension:
SELECT ST_CoordDim(geom) from bel_city limit 1;
-- or
SELECT coord_dimension from geometry_columns WHERE f_table_name = 'bel_city';
-- You can check the coherence of the above results with:
SELECT ST_AsText(ST_POINTS(geom)) from bel_city limit 1;
-- Each entity is composed of one point -> inherent dimension = 0
-- but the coordinates of these pointsare in two dimensions
